--
-- $Id$
--
-- Script containing customer specific sql statements for the STCH database

DEFINE thisfile = 'STCH#54706-3.SQL'
DEFINE dbuser   = 'STCH'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------
        
-- Gebouwen laten vervallen die niet onder de locatie "ON-site" vallen.
-- Hiermeer zijn ook verdiepingen, ruimten, objecten etc. van deze gebouwen niet zichtbaar meer.

UPDATE alg_gebouw
   SET alg_gebouw_vervaldatum = SYSDATE -1
 WHERE alg_locatie_key <> 21;
 
-- Nog even wat achtergebleven tables opruimen
DROP TABLE AASI_EXPORT_EXACT_VERKOOP;
DROP TABLE AASI_EXPORT_EXACT_VERKOOP_VJ;
DROP TABLE AASI_EXPORT_VERWERK_EXACT;
DROP TABLE AASI_EXPORT_VERWERK_EXACT_UREN;
DROP TABLE AASI_IMPORT_RUIMTE;
DROP TABLE AASI_SELECT_EXACT_UREN;
DROP TABLE AASI_SELECT_EXACT_VERKOOP;
DROP TABLE AASI_SELECT_EXACT_VERKOOP_VJ; 
DROP TABLE AASI_SELECT_VERWERK_EXACT;
DROP TABLE AASI_UPDATE_RUIMTE;

-- Ook maar gelijk even de Strukton gebouwcodes aanpassen voor 2019.
UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE86'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD05';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE39'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/01';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE40'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/02';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE44'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/03';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE86'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/04';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE47'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/05';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE86'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/06';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE48'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/07';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE49'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/08';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE51'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/09';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE52'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/10';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE53'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/11';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE54'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/12';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE64'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/13';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE65'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/14';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE66'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/15';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE67'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/16';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE68'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/17';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE69'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/18';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE71'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/19';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE72'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/20';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE73'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/21';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE74'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/22';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE86'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/23';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE86'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/23';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE75'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/24';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE86'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/25';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE76'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/26';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE77'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/27';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE86'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/28';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE78'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/29';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE86'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/30';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE79'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/31';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE80'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/32';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE81'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/33';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE82'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/34';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE86'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/35';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE86'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/36';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE86'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/37';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE83'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/38';

UPDATE alg_onrgoedkenmerk
   SET alg_onrgoedkenmerk_waarde = '6167AE84'
 WHERE alg_kenmerk_key = 1140 AND alg_onrgoedkenmerk_waarde = '6167RD03/39';

DECLARE
   CURSOR c
   IS
      SELECT alg_gebouw_key
        FROM alg_gebouw
       WHERE alg_gebouw_code IN
                   ('004-007',
                    '006-003',
                    '028-037K',
                    '072-010',
                    '073-006',
                    '073-010',
                    '111-004',
                    '124-029',
                    '132-081',
                    '133-022',
                    '135-063',
                    '135-064',
                    '135-068',
                    '135-069',
                    '136-040',
                    '142-005',
                    '143-010',
                    '143-035',
                    '151-016R',
                    '153-012',
                    '161-033',
                    '999-991')
             AND alg_gebouw_key NOT IN
                      (SELECT alg_onrgoed_key
                         FROM alg_onrgoedkenmerk
                        WHERE     alg_onrgoed_niveau = 'G'
                              AND alg_kenmerk_key = 1140
                              AND alg_onrgoedkenmerk_waarde = '6167AE86');
BEGIN
   FOR rec IN c
   LOOP
      BEGIN
         INSERT INTO alg_onrgoedkenmerk (alg_onrgoed_key,
                                         alg_onrgoed_niveau,
                                         alg_kenmerk_key,
                                         alg_onrgoedkenmerk_waarde)
             VALUES (rec.alg_gebouw_key,
                     'G',
                     1140,
                     '6167AE86');
      END;
   END LOOP;

   COMMIT;
END;
/

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 0); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile